summaryrefslogtreecommitdiff
path: root/macros/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'macros/autogen.sh')
-rw-r--r--macros/autogen.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/macros/autogen.sh b/macros/autogen.sh
index 4f57a71..2d344e2 100644
--- a/macros/autogen.sh
+++ b/macros/autogen.sh
@@ -69,7 +69,7 @@ fi
# }
#}
-(automake-1.4 --version) < /dev/null > /dev/null 2>&1 || {
+(automake-1.4 --version || automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have \`automake' installed to compile $PKG_NAME."
echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
@@ -80,7 +80,7 @@ fi
# if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal-1.4 --version) < /dev/null > /dev/null 2>&1 || {
+test -n "$NO_AUTOMAKE" || (aclocal-1.4 --version || aclocal --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: Missing \`aclocal'. The version of \`automake'"
echo "installed doesn't appear recent enough."
@@ -173,7 +173,7 @@ do
fi
fi
echo "Running aclocal-1.4 $aclocalinclude ..."
- aclocal-1.4 $aclocalinclude || {
+ aclocal-1.4 $aclocalinclude || aclocal $aclocalinclude || {
echo
echo "**Error**: aclocal-1.4 failed. This may mean that you have not"
echo "installed all of the packages you need, or you may need to"
@@ -189,6 +189,7 @@ do
fi
echo "Running automake-1.4 --gnu $am_opt ..."
automake-1.4 --add-missing --gnu $am_opt ||
+ automake --add-missing --gnu $am_opt ||
{ echo "**Error**: automake-1.4 failed."; exit 1; }
echo "Running autoconf ..."
autoconf || { echo "**Error**: autoconf failed."; exit 1; }